# Class TglBitmapNormalMap

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmapNormalMap = class(TglBitmapCubeMap)`

## Description

wrapper class for cube normal maps all operations on a bitmap object must be done from the render thread

## Hierarchy

- TObject
- TglBitmap
- TglBitmap2D
- TglBitmapCubeMap
- TglBitmapNormalMap

## Overview

### Methods

| `procedure AfterConstruction; override;`
| `procedure GenerateNormalMap(const aSize: Integer = 32; const aCheckSize: Boolean = true);`

## Description

### Methods

| `procedure AfterConstruction; override;`
this method is called after constructor and initializes the object

| `procedure GenerateNormalMap(const aSize: Integer = 32; const aCheckSize: Boolean = true);`

create cube normal map from texture data and upload it to video card

###### Parameters

aSize
  size of each cube map texture
aCheckSize
  check size before upload and throw exception if something is wrong

Generated by PasDoc 0.13.0 on 2014-12-24 04:27:09